package utils

import (
	"fmt"
	"os"
	"testing"
)

func TestCompressFiles(t *testing.T) {
	var paths []string = []string{"/tmp/a.txt"}

	bf := CompressFiles(paths)
	fmt.Println("out:", string(bf))

	fd, fderr := os.OpenFile("/tmp/a.zip", os.O_CREATE|os.O_WRONLY|os.O_TRUNC, 0666)

	fmt.Println(fd, fderr)
	fd.Write(bf)

	fd.Close()

	var paths2 []string = []string{"/tmp/a/a.txt"}
	UnCompressBuffer(bf, paths2)
}
